# QSqlIndex Class Reference

### [com.trolltech.qt.sql package]

Inherits QSqlRecord.

### Constructor

- void QSqlIndex(QSqlIndex other)
- void QSqlIndex(String cursorName, String name)

### Constructor Properties

- prototype: The QSqlIndex prototype object

### Prototype Object Properties

The QSqlIndex prototype object inherits properties from the QSqlRecord prototype object and also has the following properties.

- void append(QSqlField field, bool desc)
- String cursorName()
- bool isDescending(int i)
- String name()
- void setCursorName(String cursorName)
- void setDescending(int i, bool desc)
- void setName(String name)

### Instance Properties

QSqlIndex objects have no special properties beyond those inherited from the QSqlIndex prototype object.